SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP(3)

NAME
SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP - A variable controlling whether the windows message loop is processed by SDL.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP "SDL_WINDOWS_ENABLE_MESSAGELOOP"

DESCRIPTION
The variable can be set to the following values:

• "0": The window message loop is not run.

• "1": The window message loop is processed in SDL_PumpEvents(). (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.